<?php

namespace App\Presenters;

use App\Model\Orm;
use App\Model\User;
use Nette;
use Nette\Application\UI\Form;
use Tracy\Debugger;



class LoginPresenter extends Nette\Application\UI\Presenter
{
    /** @inject  */
    public Orm $orm;
    public User $databaseUser;

    public function createComponentLoginForm(): Form
    {
        $form = new Form;

        $form->addText('loginName', 'Nick:')
            ->setRequired('Zadejte prosím nick');

        $form->addPassword('loginPass', 'Heslo:')
            ->setRequired('Zadejte prosím heslo');

        $form->addCheckbox('remember', 'Zapamatovat si přihlášení?');


        $form->addSubmit('loginLogin', 'Přihlásit se');

        $form->onSuccess[]=[$this,'loginFormSucces'];
        return $form;
    }
    public function startup()
    {
        parent::startup(); // TODO: Change the autogenerated stub
        if ($this->getUser()->isLoggedIn()) {
            $this->databaseUser=$this->orm->users->getBy(['loginName'=>$this->user->id]);
        }
    }

    public function loginFormSucces(Form $form, \stdClass $values): void
    {
        $this->flashMessage('Přihlášení bylo úspěšné.');

        try {
            $this->getUser()->login($values->loginName, $values->loginPass);
            $this->redirect('Homepage:');
            }

        catch (Nette\Security\AuthenticationException $e) {
            $form->addError('Nesprávné přihlašovací jméno nebo heslo.');
            }
    }

public function actionOut(): void
{
	$this->getUser()->logout();
	$this->flashMessage('Odhlášení bylo úspěšné.');
	$this->redirect('Homepage:');
}


}



